package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MemberMessage;
import org.apache.ibatis.annotations.Param;

/**
 * 用户消息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-18
 */
public interface MemberMessageMapper 
{
    /**查询消息总数*/
    Long countUnRead(MemberMessage memberMessage);

    /**
     * 查询用户消息
     * 
     * @param messageId 用户消息主键
     * @return 用户消息
     */
    public MemberMessage selectMemberMessageByMessageId(Long messageId);

    /**
     * 查询用户消息列表
     * 
     * @param memberMessage 用户消息
     * @return 用户消息集合
     */
    public List<MemberMessage> selectMemberMessageList(MemberMessage memberMessage);

    /**
     * 新增用户消息
     * 
     * @param memberMessage 用户消息
     * @return 结果
     */
    public int insertMemberMessage(MemberMessage memberMessage);

    /**
     * 修改用户消息
     * 
     * @param memberMessage 用户消息
     * @return 结果
     */
    public int updateMemberMessage(MemberMessage memberMessage);

    /**
     * 删除用户消息
     * 
     * @param messageId 用户消息主键
     * @return 结果
     */
    public int deleteMemberMessageByMessageId(Long messageId);



    /**
     * 批量删除用户消息
     * 
     * @param messageIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMemberMessageByMessageIds(Long[] messageIds);


}
